/* 変数管理システム */
#include "var.h"

int VarNumRead(short point,long *num,unsint *type,VARSYS2 *var)
/* 変数数値・型読みだし */
/* return : 0=読み出せた , VARNKAKU=未確定である */
{
unsint ty;
	ty=var->vwork[point].type;
	if (ty&VKAKU) return(VARNKAKU); /* 未確定 */
	/* 読みだし */
	*num=var->vwork[point].num;
	if (type!=NULL) *type=ty;
	return(VOK);
}
